﻿using System;
using System.Collections.Generic;

namespace CompositeRestaurantMenu
{
   public class Menu : AbstractMenuItem
   {
       private readonly IList<AbstractMenuItem> _items = new List<AbstractMenuItem>();

       public void Add(AbstractMenuItem item)
       {
           _items.Add(item);
       }

       public override string ToString()
       {
           return string.Format("{0}\n{1}", base.ToString(), String.Join("\n", _items));
       }
   }
}
